Radar Multiple Series in JavaScript

Using ApexCharts with JavaScript

This Radar Multiple Series example uses ApexCharts.js directly in JavaScript, with no wrapper component.

Install it with npm install apexcharts, then mount the chart with new ApexCharts(element, options).render().

JavaScript installation guide
var options = {
  series: [
    {
      name: 'Model X',
      data: [92, 60, 88, 95, 55, 90],
    },
    {
      name: 'Model Y',
      data: [70, 95, 66, 78, 85, 72],
    },
    {
      name: 'Model Z',
      data: [80, 78, 82, 70, 68, 60],
    },
  ],
  chart: {
    height: 350,
    type: 'radar',
  },
  title: {
    text: 'Smartphone Comparison',
  },
  stroke: {
    width: 2,
  },
  fill: {
    opacity: 0.1,
  },
  markers: {
    size: 0,
  },
  yaxis: {
    stepSize: 20,
  },
  xaxis: {
    categories: [
      'Performance',
      'Battery',
      'Camera',
      'Display',
      'Value',
      'Design',
    ],
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()

Radar Multiple Series in React

Using ApexCharts with React

This Radar Multiple Series example wires ApexCharts into React through the react-apexcharts component.

Install it with npm install react-apexcharts apexcharts, then mount the chart with <Chart type="..." options={options} series={series} />.

React charts guide
import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: 'Model X',
        data: [92, 60, 88, 95, 55, 90],
      },
      {
        name: 'Model Y',
        data: [70, 95, 66, 78, 85, 72],
      },
      {
        name: 'Model Z',
        data: [80, 78, 82, 70, 68, 60],
      },
    ],
    options: {
      chart: {
        height: 350,
        type: 'radar',
      },
      title: {
        text: 'Smartphone Comparison',
      },
      stroke: {
        width: 2,
      },
      fill: {
        opacity: 0.1,
      },
      markers: {
        size: 0,
      },
      yaxis: {
        stepSize: 20,
      },
      xaxis: {
        categories: [
          'Performance',
          'Battery',
          'Camera',
          'Display',
          'Value',
          'Design',
        ],
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="radar"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart

Radar Multiple Series in Angular

Using ApexCharts with Angular

This Radar Multiple Series example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide

This demo uses imperative chart updates. The generated code is a faithful Angular translation: open it in CodeSandbox to run and tweak.

import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              name: 'Model X',
              data: [92, 60, 88, 95, 55, 90],
            },
            {
              name: 'Model Y',
              data: [70, 95, 66, 78, 85, 72],
            },
            {
              name: 'Model Z',
              data: [80, 78, 82, 70, 68, 60],
            },
          ],
          chart: {
            height: 350,
            type: 'radar',
          },
          title: {
            text: 'Smartphone Comparison',
          },
          stroke: {
            width: 2,
          },
          fill: {
            opacity: 0.1,
          },
          markers: {
            size: 0,
          },
          yaxis: {
            stepSize: 20,
          },
          xaxis: {
            categories: [
              'Performance',
              'Battery',
              'Camera',
              'Display',
              'Value',
              'Design',
            ],
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}

Radar Multiple Series in Vue

Using ApexCharts with Vue

This Radar Multiple Series example wires ApexCharts into Vue through the vue3-apexcharts component.

Install it with npm install vue3-apexcharts apexcharts, then mount the chart with <apexchart type="..." :options="options" :series="series" />.

Vue charts guide
<template>
  <div>
    <div id="chart">
      <apexchart
        type="radar"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: 'Model X',
          data: [92, 60, 88, 95, 55, 90],
        },
        {
          name: 'Model Y',
          data: [70, 95, 66, 78, 85, 72],
        },
        {
          name: 'Model Z',
          data: [80, 78, 82, 70, 68, 60],
        },
      ],
      chartOptions: {
        chart: {
          height: 350,
          type: 'radar',
        },
        title: {
          text: 'Smartphone Comparison',
        },
        stroke: {
          width: 2,
        },
        fill: {
          opacity: 0.1,
        },
        markers: {
          size: 0,
        },
        yaxis: {
          stepSize: 20,
        },
        xaxis: {
          categories: [
            'Performance',
            'Battery',
            'Camera',
            'Display',
            'Value',
            'Design',
          ],
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 450px;
  margin: 35px auto;
}
</style>